import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

class AdaptiveText extends StatelessWidget {
  final String text;

  final InlineSpan textSpan;

  final TextStyle style;

  final bool rich;

  const AdaptiveText(
    this.text, {
    Key key,
    this.style,
  })  : rich = false,
        textSpan = null,
        super(key: key);

  const AdaptiveText.rich(
    this.textSpan, {
    Key key,
    this.style,
  })  : rich = true,
        text = null,
        super(key: key);

  @override
  Widget build(BuildContext context) {
    if (rich)
      return kIsWeb
          ? SelectableText.rich(
              textSpan,
              style: style,
            )
          : Text.rich(
              textSpan,
              style: style,
            );
    else
      return kIsWeb
          ? SelectableText(
              text,
              style: style,
            )
          : Text(
              text,
              style: style,
            );
  }
}
